=== debian/control ===
Source: ros-foxy-pepper-meshes
Section: misc
Priority: optional
Maintainer: Maxime Busy <mbusy@softbankrobotics.com>
Build-Depends: debhelper (>= 9.0.0), default-jdk, ros-foxy-ament-cmake, ros-foxy-ros-workspace
Homepage: http://github.com/ros-naoqi/pepper_meshes2/
Standards-Version: 3.9.2

Package: ros-foxy-pepper-meshes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ros-workspace
Description: Meshes for the Pepper robot, for ROS2
